# include/xapian/queryparser.h File Reference

parsing a user query string to build a Xapian::Query object More...

`#include <xapian/base.h>`
`#include <xapian/query.h>`
`#include <xapian/stem.h>`
`#include <xapian/termiterator.h>`
`#include <set>`
`#include <string>`

Include dependency graph for queryparser.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::Stopper
| Base class for stop-word decision functor. More...
class | Xapian::SimpleStopper
| Simple implementation of Stopper class - this will suit most users. More...
class | Xapian::QueryParser
| Build a Xapian::Query object from a user query string. More...

## Detailed Description

parsing a user query string to build a Xapian::Query object